Bug 69922 - Xine snapshot stays on screen when changing workspace.
Xine snapshot stays on screen when changing workspace.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: xine (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-26 09:27 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-26 20:42:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-26 09:27:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020625

Description of problem:
The movie continues playing in the workspace where it has been started, though
after a workspace switch, you have a snapshot (taken at the moment of workspace
switching) which stays on the screen after switching (Sound continues playing
fine). If you come back to the original workspace, then xine seems to operate
normally (playing the movie just fine).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run xine with some supported video format
2. Change workspace using the workspace switcher.
3. 
	

Actual Results:  A snapshot of the movie stays on the screen.

Expected Results:  The movie should continue playing in the workspace where it
has been started and when switching to other workspace, you shouldn't see any
snapshots floating around.

Additional info:

2.4.18-5.58smp (rpm -q kernel --qf '%{ARCH}\n' returns i686 though it's a
dual-Athlon PC).
ATI Radeon 7500 64 MB DDR (original card built by ATI)
Xine uses the Xv driver.
/var/log/messages, /var/log/XFree86.0.log don't show any errors.
Every package is from Limbo. Absolutely nothing else has been installed. Using
Metacity.
Comment 1 Need Real Name 2002-07-26 20:42:12 EDT
I tried gtv: same problem. 
I decided to install mplayer (using the freshrpms.net RPMs). Same problem, but
only with the Xv driver. When using the x11 or gl(2) drivers, everything works
as expected.
So this looks to be a problem more related to Xv (or maybe the Radeon driver)
than xine. Hence I'm reassigning this to the XFree86 maintainer.
(Changing from window manager (metacity -> sawfish) doesn't affect this behaviour)
Comment 2 Need Real Name 2002-08-21 14:42:14 EDT
Installed (null) today. The problem disappeared. Everything works as expected.
Closing the bug with resolution CURRENTRELEASE. 
I hope you didn't bother much with this.

Note You need to log in before you can comment on or make changes to this bug.